AppController_getBlocks
GET/api/v1/blocks
AppController_getBlocks
Request
Query Parameters
order string
Possible values: [ASC, DESC]
Default value: ASC
Sort order
offset number
How many results to skip (for pagination)
limit number
Maximum number of results
sort string
Possible values: [height]
Field on which the sort is applied
height number
Exact block height. Cannot be used in conjunction with height_gte or height_lte.
height_gte number
Minimum block height (inclusive)
height_lte number
Maximum block height (inclusive)
timestamp_gte number
Minimum timestamp in seconds (inclusive)
timestamp_lte number
Maximum timestamp in seconds (inclusive)
Responses
- 200
- application/json
- Schema
- Example (from schema)
Schema
Array [
Array [
]
]
hasMore booleanrequired
Set to 'true' if more results are available.
totalRecords number
Total number of available records. Returned only when 'offset' is used in the query.
items
object[]
required
height numberrequired
hash stringrequired
blockVersion numberrequired
appVersion numberrequired
chainId stringrequired
milliseconds numberrequired
nanoseconds numberrequired
partsTotal numberrequired
partsHash stringrequired
lastCommitHash stringrequired
dataHash stringrequired
validatorsHash stringrequired
nextValidatorsHash stringrequired
consensusHash stringrequired
appVbRadixHash stringrequired
appTokenRadixHash stringrequired
appStorageHash stringrequired
appHash stringrequired
lastResultsHash stringrequired
evidenceHash stringrequired
proposerAddress stringrequired
signatures
object[]
required
height numberrequired
blockIdFlag numberrequired
validatorAddress stringrequired
milliseconds numberrequired
nanoseconds numberrequired
signature stringrequired
microblocks numberrequired
feesInAtomics numberrequired
{
"hasMore": true,
"totalRecords": 0,
"items": [
{
"height": 0,
"hash": "string",
"blockVersion": 0,
"appVersion": 0,
"chainId": "string",
"milliseconds": 0,
"nanoseconds": 0,
"partsTotal": 0,
"partsHash": "string",
"lastCommitHash": "string",
"dataHash": "string",
"validatorsHash": "string",
"nextValidatorsHash": "string",
"consensusHash": "string",
"appVbRadixHash": "string",
"appTokenRadixHash": "string",
"appStorageHash": "string",
"appHash": "string",
"lastResultsHash": "string",
"evidenceHash": "string",
"proposerAddress": "string",
"signatures": [
{
"height": 0,
"blockIdFlag": 0,
"validatorAddress": "string",
"milliseconds": 0,
"nanoseconds": 0,
"signature": "string"
}
],
"microblocks": 0,
"feesInAtomics": 0
}
]
}
Loading...